rand('seed', getdate('s'))
rand('uniform')

function y=simul_geometrique(p)
  y=1
  while (rand()>p)
    y=y+1
  end
endfunction

function y=loi_geometrique(N,p)
    y=p*(1-p).^(0:(N-1))
endfunction

n=1000   // nombre de simulations
N0=15   // abscisse maximale pour le diagramme
p0=.25  // choix du paramètre
S=zeros(1,n)    // vecteur des résultats des simulations
for k=1:n
  S(k)=simul_geometrique(p0)
end
[I,dstat]=dsearch(S,1:N0,'d')
dstat=dstat/n
loi=loi_geometrique(N0,p0)
clf
bar(1:N0,[dstat;loi]')
